Skip to main content

show-user-profile-settings-auth-details-update-profile-settings-remove-user

Method shows/edits/removes user

  • GET - view user information/settings
  • POST - edit user settings
  • DELETE - remove user

Parameters

No additional parameters

Getting user information

Return user information and settings.

Note: For editing administrative account details, you can use admin instead of the numeric user id, like: https://ws.idibu.com/ws/rest/v1/users/admin?hash=[your_hash].

Example

Request

https://ws.idibu.com/ws/rest/v1/users/485?hash=[your_hash]

Response

<?xml version="1.0" encoding="utf8"?>
<idibu generator="idibu" version="1.0">
<response>
<profile>
<id>485</id>
<title></title>
<firstname>vit</firstname>
<lastname>Dyatlov</lastname>
<company>Idibu</company>
<team-id>33000183</team-id>
<contacts>
<address>Tiraspol, Moldova 3357</address>
<address-line1>Tiraspol</address-line1>
<address-line2></address-line2>
<address-line3></address-line3>
<country>Moldova</country>
<postcode>3357</postcode>
<email>vitaly@idibu.com</email>
<phone>+373 0 777 15818</phone>
<fax></fax>
<www>idibu.com</www>
</contacts>
</profile>
<settings>
<alerts>
<job-expiry>Off</job-expiry>
<new-applicant>Off</new-applicant>
</alerts>
<access-report>No</access-report>
</settings>
</response>
<status>success</status>
</idibu>

Updating user information

To update user information, you need to pass XML of the same format as in response to the GET request in the data parameter. Any field or block can be omitted; pass in the XML only those fields that you need to update.

Example

Data posted

POST https://ws.idibu.com/ws/rest/v1/users/485?hash=[your_hash]
<?xml version="1.0"?>
<idibu>
<profile>
<firstname>updated-user</firstname>
</profile>
</idibu>

Response

<?xml version="1.0" encoding="utf8"?>
<idibu generator="idibu" version="1.0">
<response>
<message>User updated</message>
</response>
<status>success</status>
</idibu>

Deleting user

To delete a user, you need to use a DELETE request.

Example

Request

DELETE https://ws.idibu.com/ws/rest/v1/users/485?hash=[your_hash]

Response

<?xml version="1.0" encoding="utf8"?>
<idibu generator="idibu" version="1.0">
<response>
<message>User has been deleted</message>
</response>
<status>success</status>
</idibu>